GLOBAL.WARGON.DATA = {}

local spears = {
"tp_spear_ice",
"tp_spear_hades",
"tp_spear_lance",
"tp_spear_fire_rose",
"tp_spear_ice_rose",
"tp_spear_anubis",
"tp_spear_shadow",
"tp_spear_combat",
"tp_spear_gaea",
"tp_spear_ice_thunder",
"tp_spear_heracles",
"tp_spear_shine",
"tp_spear_lightning",
"tp_spear_valkyrie",
"tp_spear_potion",
"tp_spear_blood",
"tp_spear_thunder",
"tp_spear_trap",
"tp_spear_wind",
"tp_spear_gold",
"tp_spear_fire",
"tp_spear_beefalo",
"tp_spear_speed",
"tp_spear_gungnir",
"tp_spear_fire_thunder",
"tp_spear_earth",
"tp_spear_rose",
"tp_spear_hermes",
"tp_spear_zeus",
"tp_spear_collect",
"tp_spear_perseus",
"tp_spear_diamond",
"tp_spear_conqueror",
"tp_spear_cooldown",
"tp_spear_wrestle",
"tp_spear_tornado",
"tp_spear_shoot",
"tp_spear_bag",
"tp_spear_mix",
"tp_spear_poison",
}

local other_weapons = {
"tp_cutlass",
"tp_ruinbat_dragonfly",
"tp_woodarmor",
"tp_ruinbat_deerclops",
"tp_ruinbat",
"tp_ruinbat_moose",
"tp_pig_lamp",
"tp_staff_trinity",
"tp_ruinbat_bearger",
"tp_forest_gun",
"tp_brave_amulet",
"tp_unreal_sword",
"tp_oak_armor",
"tp_ballhat",
}

local packs = {
"tp_pack_hound",
"tp_pack_dragonfly",
"tp_pack_catcoon",
"tp_pack_rabbit",
"tp_pack_beefalo",
"tp_pack_bearger",
"tp_pack_crab",
"tp_pack_deerclops",
"tp_pack_giant",
}

local armors = {
"tp_armor_firm",
"tp_armor_ancient2",
"tp_armor_ancient3",
"tp_armor_ancient",
"tp_armor_thunder",
"tp_armor_health",
"tp_armor_cool",
"tp_armor_lamellar",
"tp_armor_bag",
"tp_armor_shadow",
"tp_armor_warm",
"tp_armor_brier",
}

local helms = {
"tp_hat_cool",
"tp_hat_helm",
"tp_hat_health",
"tp_hat_warm",
"tp_hat_bag",
"tp_hat_antitoxin",
"tp_hat_ancient",
}

local potions = {
"tp_potion_crazy",
"tp_potion_warm",
"tp_potion_killer",
"tp_potion_health_small",
"tp_potion_shine",
"tp_potion_horror",
"tp_potion_iron",
"tp_plantable_grass_water",
"tp_potion_warth",
"tp_potion_smell",
"tp_plantable_reeds",
"tp_potion_shadow",
"tp_potion_detoxify",
"tp_potion_sanity_small",
"tp_potion_cool",
"tp_plantable_flower_cave",
"tp_plantable_mangrove",
"tp_potion_metal",
"tp_potion_dry",
"tp_potion_brave_small",
}

local scrolls = {
"scroll_sleep",
"scroll_wind",
"scroll_pig_armor",
"scroll_tentacle",
"scroll_pig_speed",
"scroll_bunnyman",
"scroll_lightning",
"scroll_moose",
"scroll_pigman",
"scroll_volcano",
"scroll_harvest",
"scroll_pig_leader",
"scroll_pig_damage",
"scroll_dragonfly",
"scroll_bearger",
"scroll_bird",
"scroll_pig_super",
"scroll_pig_heal",
"scroll_pig_health",
"scroll_pig_teleport",
"scroll_pig_armorex",
"scroll_shadow",
"scroll_grow",
}

GLOBAL.WARGON.SCROLL_ITEMS = {
    {"seeds", "scroll_grow"},
    {"nightmarefuel", "scroll_sleep"},
    {"redgem", "scroll_lightning"},
    {"feather_robin", "scroll_bird"},
    {"tentaclespots", "scroll_tentacle"},
    {"obsidian", "scroll_volcano"},
    {"footballhat", "scroll_pig_armor"},
    {"armorwood", "scroll_pig_armorex"},
    {"coffeebeans", "scroll_pig_speed"},
    {"hambat", "scroll_pig_damage"},
    {"bandage", "scroll_pig_heal"},
    {"dragonfruit", "scroll_pig_health"},
    {"goose_feather", "scroll_wind"},
    {"pigskin", "scroll_pigman"},
    {"manrabbit_tail", "scroll_bunnyman"},
    {"purplegem", "scroll_shadow"},



    {"tp_pigskin_2", "scroll_pig_army"},
    {"flowerhat", "scroll_flower"},
    {"batwing", "scroll_harvest"},
}

GLOBAL.WARGON.POTION_ITEMS = {
    {"blue_cap", "tp_potion_health_small"},
    {"green_cap", "tp_potion_sanity_small"},
    {"red_cap", "tp_potion_brave_small"},
    {"petals_evil", "tp_potion_crazy"},
    {"flint", "tp_potion_dry"},
    {"petals", "tp_potion_smell"},
    {"cutlichen", "tp_potion_shine"},
    {"meat_dried", "tp_potion_warth"},
    {"iron", "tp_potion_iron"},
    {"tentaclespots", "tp_potion_metal"},
    {"bluegem", "tp_potion_shadow"},
    {"obsidian", "tp_potion_killer"},
    {"spidergland", "tp_potion_detoxify"},
    {"durian", "tp_potion_warm"},
    {"watermelon", "tp_potion_cool"},
    {"cave_banana", "tp_potion_frozen"},
    {"eggplant", "tp_potion_fire"},
    {"slurper_pelt", "tp_potion_horror"},
    {"dragonfruit", "tp_potion_holy"},
}

GLOBAL.WARGON.PLANTABLE_ITEMS = {
    {"dug_sapling", "mangrovetree", true},
    {"dug_grass", "grass_water", true},
    {"blue_cap", "blue_mushroom"},
    {"green_cap", "green_mushroom"},
    {"red_cap", "red_mushroom"},
    {"cactus_meat", "cactus"},
    {"cave_banana", "cave_banana_tree"},
    {"livinglog", "livingtree"},
    {"lightbulb", "flower_cave"},
    {"cutreeds", "reeds"},
}

GLOBAL.WARGON.GIFT_LIST = {
    "tp_resource_transporter_bp",
    "tp_egg_tool_bp",
    "tp_thumper_bp",
    "tp_farm_pile_bp",
    "tp_egg_cooker_bp",
    "tp_fire_pot_bp",
    "tp_rot_pot_bp",
    "tp_dry_pot_bp",
    "tp_sword_1",
    "tp_gun_1",
    "tp_necklace_1",
    "tp_ring_1",
    "tp_core_blade1",
    "tp_core_blade2",
    "tp_core_blade3",
    "tp_core_blade4",
    "tp_core_gun1",
    "tp_core_gun2",
    "tp_core_gun3",
    "tp_core_ring1",
    "tp_core_ring2",
    "tp_core_ring3",
    "tp_core_necklace1",
    "tp_core_necklace2",
    "tp_core_necklace3",
}

GLOBAL.WARGON.GIFT_LIST2 = {
    "infused_iron",
    "tp_dragon_cage_bp",
    "tp_bench_bp",
    "tp_enchantmenter_bp",
    "tp_sword_2",
    "tp_gun_2",
    "tp_necklace_2",
    "tp_ring_2",
    "tp_core_blade5",
    "tp_core_blade6",
    "tp_core_blade7",
    "tp_core_blade8",
    "tp_core_gun4",
    "tp_core_gun5",
    "tp_core_ring4",
    "tp_core_ring5",
    "tp_core_ring6",
    "tp_core_necklace4",
    "tp_core_necklace5",
    "tp_core_necklace6",
    "tp_alloy",
    "tp_alloy_red",
}

GLOBAL.WARGON.GIFT_LIST3 = {
    "tp_super_calculator_bp",
    "tp_sword_3",
    "tp_gun_3",
    "tp_necklace_3",
    "tp_ring_3",
    "tp_ice_dragon_sword",
    "tp_demon_strike",
    "tp_forest_staff",
    "tp_forest_gun",
    "tp_holy_gun",
    "tp_hell_fire",
    "tp_half_moon_blade",
    "tp_cutlass",
    "tp_good_sword",
    "tp_core_blade9",
    "tp_core_blade10",
    "tp_core_blade11",
    "tp_core_blade12",
    "tp_core_gun6",
    "tp_core_gun7",
    "tp_core_ring7",
    "tp_core_ring8",
    "tp_core_necklace7",
    "tp_core_necklace8",
    "tp_epic",
    "tp_alloy_great",
    "core_minotaur",
    "core_deerclops",
    "core_tigger",
    "core_magic",
}

GLOBAL.WARGON.GIFT_LIST4 = {
    "tp_sword_1",
    "tp_sword_2",
    "tp_sword_3",
    "tp_gun_1",
    "tp_gun_2",
    "tp_gun_3",
    "tp_necklace_1",
    "tp_necklace_2",
    "tp_necklace_3",
    "tp_ring_1",
    "tp_ring_2",
    "tp_ring_3",
    "tp_demon_strike",
    "tp_forest_staff",
    "tp_forest_gun",
    "tp_holy_gun",
    "tp_hell_fire",
    "tp_half_moon_blade",
    "tp_cutlass",
    "tp_good_sword",
    "spear",
    "hambat",

    "ruins_bat",
    "nightsword",
    "nightstick",
    "cutlass",
    "blunderbuss",
    "halberd",
    "footballhat",
    "ruinshat",
    "armorwood",
    "armormarble",
    "armorruins",
}

GLOBAL.WARGON.GIFT_LIST8 = {

    "tp_spear_ice",
    "tp_spear_fire",
    "tp_spear_thunder",
    "tp_spear_poison",
    "tp_spear_blood",
    "tp_spear_lightning",
    "tp_spear_speed",
    "tp_spear_earth",
    "tp_spear_shine",
    "tp_spear_gold",
    "tp_spear_combat",
    "tp_spear_beefalo",
    "tp_spear_diamond",
    "tp_spear_tornado",
    "tp_spear_conqueror",
    "tp_spear_cooldown",
    "tp_spear_potion",
    "tp_spear_heracles",
    "tp_spear_perseus",
    "tp_spear_hades",
    "tp_spear_zeus",
    "tp_spear_hermes",
    "tp_spear_gaea",
    "tp_spear_collect",
    "tp_spear_bag",
    "tp_spear_turret",
    "tp_spear_dream",
    "tp_spear_ripper",
    "tp_spear_single",
    "tp_spear_road",
    "tp_spear_shell",
    "tp_spear_leaf",
    "tp_spear_shark",
    "tp_spear_wave",
    "tp_spear_snake",
    "tp_spear_anubis",
    "tp_spear_shadow",

    "tp_armor_health",
    "tp_armor_firm",
    "tp_armor_warm",
    "tp_armor_cool",
    "tp_armor_thunder",
    "tp_armor_bag",
    "tp_armor_airi",
    "tp_armor_shadow",

    "tp_hat_warm",
    "tp_hat_cool",
    "tp_hat_health",
    "tp_hat_antitoxin",
    "tp_hat_bag",
    "tp_hat_frozen",
    "tp_hat_burn",
    "tp_hat_fog",
    "tp_hat_rain",
    "tp_hat_forest",
}