local SHOPTYPES = 
{
    ["DEFAULT"] = {"rocks", "flint", "goldnugget"},

    ["pig_shop_deli"] = {
                            { "ratatouille",     "oinc", 3  },
                            { "monsterlasagna",  "oinc", 2  },
                            { "pumpkincookie",   "oinc", 3  },
                            { "stuffedeggplant", "oinc", 4  },
                            { "frogglebunwich",  "oinc", 5  },
                            { "honeynuggets",    "oinc", 5  },
                            { "perogies",        "oinc", 10 },
                            { "waffles",         "oinc", 10 },
                            { "meatballs",       "oinc", 10 },
                            { "honeyham",        "oinc", 20 },
                            { "turkeydinner",    "oinc", 10 },
                            { "dragonpie",       "oinc", 30 },
                        },
    
    ["pig_shop_florist"] = {
                            { "carrot_seeds",      "oinc", 1  },
                            { "pumpkin_seeds",     "oinc", 1  },
                            { "pomegranate_seeds", "oinc", 1  },
                            { "eggplant_seeds",    "oinc", 1  },
                            { "durian_seeds",      "oinc", 1  },
                            { "corn_seeds",        "oinc", 1  },
                            { "dragonfruit_seeds", "oinc", 10 },
                            { "watermelon_seeds",  "oinc", 1  },
                            { "flowerhat",         "oinc", 2  },
                            { "acorn",             "oinc", 1  },
                            { "pinecone",          "oinc", 1  },
                            { "dug_berrybush2",    "oinc", 2  },
                            { "dug_berrybush",     "oinc", 2  },
                            { "tp_gingko", "oinc", 5 },
                            { "tp_war_tree_seed", "oinc", 10 },
                            { "tp_defense_tree_seed", "oinc", 10 },
                            { "tp_life_tree_seed", "oinc", 10 },
                        },

    ["pig_shop_general"] = {
                            { "pitchfork",  "oinc", 5  },
                            { "shovel",     "oinc", 5  },
                            { "pickaxe",    "oinc", 5  },
                            { "axe",        "oinc", 5  },
                            { "flint",      "oinc", 1  },
                            { "machete",    "oinc", 5  },
                            { "minerhat",   "oinc", 20 },
                            { "razor",      "oinc", 3  },
                            { "backpack",   "oinc", 5  },
                            { "umbrella",   "oinc", 10 },
                            { "fabric",     "oinc", 5  },
                            { "bugnet",     "oinc", 20 },
                            { "fishingrod", "oinc", 10 },    
                            { "tp_bat_scythe" , "oinc", 10},
                            { "tp_rocket", "oinc", 5 },
                            { "tp_pack_crab", "oinc", 30},                                                                    
                            { "tp_pack_rabbit", "oinc", 30},                                                                    
                            { "tp_pack_catcoon", "oinc", 30},        
                            { "tp_magic_axe", "oinc", 25 },
                            { "tp_magic_pickaxe", "oinc", 25 },
                            { "tp_night_spider", "oinc", 30 },
                        },

    ["pig_shop_general_fiesta"] = {                            
                            { "firecrackers",  "oinc", 1  },
                            { "firecrackers",  "oinc", 1  },
                            { "firecrackers",  "oinc", 1  },
                            { "firecrackers",  "oinc", 1  },
                            { "flint",      "oinc", 1  },
                            { "minerhat",   "oinc", 20 },
                            { "backpack",   "oinc", 5  },                            
                            { "fabric",     "oinc", 5  },
                            { "umbrella",   "oinc", 10 },
                            { "bugnet",     "oinc", 20 },         
                        },                        

    ["pig_shop_hoofspa"] = {
                            { "blue_cap",     "oinc", 3 },
                            { "green_cap",    "oinc", 2 },
                            { "bandage",      "oinc", 5 },
                            { "healingsalve", "oinc", 4 },
                            { "antivenom",    "oinc", 5 },
                            { "coffeebeans",  "oinc", 2 },
                            { "tp_potion_health_small", "oinc", 5},
                            { "tp_potion_sanity_small", "oinc", 5},
                            { "tp_potion_brave_small", "oinc", 2},
                            { "tp_potion_dry", "oinc", 1},
                            { "tp_potion_smell", "oinc", 1},
                            { "tp_potion_crazy", "oinc", 3},
                            { "tp_potion_detoxify", "oinc", 5},
                            { "tp_potion_shine", "oinc", 5},
                            { "tp_potion_cool", "oinc", 5},
                            { "tp_potion_warm", "oinc", 5},
                            { "tp_potion_horror", "oinc", 5},
                            { "tp_potion_warth", "oinc", 10},
                            { "tp_potion_iron", "oinc", 10},
                            { "tp_potion_shadow", "oinc", 20},
                            { "tp_potion_killer", "oinc", 20},
                            { "tp_potion_metal", "oinc", 20},
                            { "tp_plantable_reeds", "oinc", 10},
                            { "tp_plantable_mangrove", "oinc", 10},
                            { "tp_plantable_flower_cave", "oinc", 10},
                            { "tp_plantable_grass_water", "oinc", 10},
                            { "tp_sleeping_pill", "oinc", 1 },
                        },

    ["pig_shop_produce"] = {
                            { "berries",      "oinc", 1 },
                            { "watermelon",   "oinc", 1 },
                            { "sweet_potato", "oinc", 1 },
                            { "carrot",       "oinc", 1 },
                            { "drumstick",    "oinc", 2 },
                            { "eggplant",     "oinc", 2 },
                            { "corn",         "oinc", 2 },
                            { "pumpkin",      "oinc", 3 },
                            { "meat",         "oinc", 5 },
                            { "pomegranate",  "oinc", 1 },
                            { "cave_banana",  "oinc", 1 },
                            { "coconut",      "oinc", 3 },
                            { "froglegs",     "oinc", 2 },

                            { "tp_flavour", "oinc", 5 },
                        },

    ["pig_shop_antiquities"] = {
                            { "silk",              "oinc", 5  },
                            { "gears",             "oinc", 10 },
                            { "mandrake",          "oinc", 50 },
                            { "wormlight",         "oinc", 20 },
                            { "deerclops_eyeball", "oinc", 50 },
                            { "walrus_tusk",       "oinc", 50 },
                            { "bearger_fur",       "oinc", 40 },
                            { "goose_feather",     "oinc", 40 },
                            { "dragon_scales",     "oinc", 30 },
                            { "houndstooth",       "oinc", 5  },
                            { "bamboo",            "oinc", 3  },
                            { "horn",              "oinc", 5  },
                            { "coontail",          "oinc", 4  },
                            { "lightninggoathorn", "oinc", 5  },
                            { "ox_horn",           "oinc", 5  },
                            { "tp_alloy", "oinc", 5 },
                            { "tp_treasure_map", "oinc", 10},          
                            { "tp_epic", "oinc", 200 },                                                  
                        },

    ["pig_shop_cityhall"] = {                       
                        },

    ["pig_shop_arcane"] = {                     
                            { "icestaff",     "oinc", 50 },
                            { "firestaff",    "oinc", 50 },
                            { "amulet",       "oinc", 50 },
                            { "blueamulet",   "oinc", 50 },
                            { "purpleamulet", "oinc", 50 },
                            { "livinglog",    "oinc", 5  },
                            { "armorslurper", "oinc", 20 },
                            { "nightsword",   "oinc", 50 },
                            { "armor_sanity", "oinc", 20 },
                            { "onemanband",   "oinc", 40 },
                            { "tp_staff_trinity", "oinc", 50 },
                            { "tp_unreal_sword", "oinc", 50 },
                            { "tp_unreal_cloak", "oinc", 50 },
                            { "tp_spear_turret", "oinc", 50 },
                            { "tp_brave_amulet", "oinc", 200 },
                            { "scroll_bird", "oinc", 10 },
                            { "scroll_lightning", "oinc", 10 },
                            { "scroll_sleep", "oinc", 10 },
                            { "scroll_tentacle", "oinc", 10 },
                            { "scroll_volcano", "oinc", 10 },
                            { "scroll_grow", "oinc", 10 },
                            { "scroll_wind", "oinc", 10 },
                            { "scroll_pigman", "oinc", 10 },
                            { "scroll_bunnyman", "oinc", 10 },
                            { "scroll_shadow", "oinc", 10 },
                            { "scroll_harvest", "oinc", 10 },
                            { "scroll_pig_teleport", "oinc", 2 },
                            { "tp_pig_lamp", "oinc", 40 },

                        },  
    ["pig_shop_weapons"] = {
                            { "spear",          "oinc", 3  },
                            { "halberd",        "oinc", 5  },
                            { "cutlass",        "oinc", 50 },
                            { "trap_teeth",     "oinc", 10 },
                            { "birdtrap",       "oinc", 20 },
                            { "trap",           "oinc", 2  },
                            { "coconade",       "oinc", 20 },
                            { "blowdart_pipe",  "oinc", 10 },
                            { "blowdart_sleep", "oinc", 10 },
                            { "boomerang",      "oinc", 10 },
                            { "tp_spear_lance", "oinc", 4 },
                            { "tp_spear_gungnir", "oinc", 4 },
                            { "tp_spear_wrestle", "oinc", 4 },
                            { "tp_spear_ice", "oinc", 30 },
                            { "tp_spear_fire", "oinc", 30 },
                            { "tp_spear_thunder", "oinc", 30 },
                            { "tp_spear_blood", "oinc", 50 },
                            { "tp_spear_poison", "oinc", 50 },
                            { "tp_spear_shadow", "oinc", 50 },
                            { "tp_spear_lightning", "oinc", 30 },
                            { "tp_spear_speed", "oinc", 10 },
                            { "tp_spear_trap", "oinc", 10 },
                            { "tp_spear_rose", "oinc", 10 },
                            { "tp_spear_earth", "oinc", 30 },
                            { "tp_spear_shine", "oinc", 50 },
                            { "tp_spear_bag", "oinc", 30 },
                            { "tp_spear_beefalo", "oinc", 10 },
                            { "tp_spear_combat", "oinc", 30 },
                            { "tp_spear_diamond", "oinc", 50 },
                            { "tp_spear_gold", "oinc", 30 },
                            { "tp_spear_tornado", "oinc", 30 },
                            { "tp_spear_conqueror", "oinc", 20 },
                            { "tp_spear_cooldown", "oinc", 20 },
                            { "tp_spear_potion", "oinc", 20 },
                            { "tp_spear_gun", "oinc", 20 },
                        },                      
    ["pig_shop_hatshop"] = {                        
                            { "winterhat",   "oinc", 10 },
                            { "tophat",      "oinc", 10 },
                            { "earmuffshat", "oinc", 5  },
                            { "walrushat",   "oinc", 50 },
                            { "molehat",     "oinc", 20 },
                            { "catcoonhat",  "oinc", 10 },
                            { "captainhat",  "oinc", 20 },
                            { "featherhat",  "oinc", 5  },
                            { "strawhat",    "oinc", 3  },
                            { "beefalohat",  "oinc", 10 },
                            { "pithhat",     "oinc", 10 },
                            { "tp_ballhat", "oinc", 15 },
                        },  

    ["pig_shop_bank"] = {                        
                            { "goldnugget",  "oinc", 10 },
                            { "oinc10",      "oinc", 10 },
                            { "oinc100",     "oinc", 100  },
                        },


    ["pig_shop_tinker"] = {                        
                            { "eyebrellahat_blueprint",         "oinc", 300 },
                            { "cane_blueprint",                 "oinc", 500 },
                            { "icepack_blueprint",              "oinc", 100 },
                            { "staff_tornado_blueprint",        "oinc", 100 },
                            { "armordragonfly_blueprint",       "oinc", 200 },
                            { "dragonflychest_blueprint",       "oinc", 200 },   
                            { "molehat_blueprint",              "oinc", 30 },
                            { "beargervest_blueprint",          "oinc", 50 },  
                            { "ox_flute_blueprint",             "oinc", 100 }, 
                            { "morph_sp_bp", "oinc", 200 },
                            { "tp_chop_pig_home_bp", "oinc", 10},
                            { "tp_hack_pig_home_bp", "oinc", 10},
                            { "tp_farm_pig_home_bp", "oinc", 10},
                        },                                                  
    ["pig_shop_academy"] = {
                        },
}























