local TpBlink = Class(function(self, inst)
	self.inst = inst
end)

function TpBlink:CanBlink(doer)
	return doer:HasTag("blood_prince")

end

function TpBlink:Blink(doer, pos)
	local pt = doer:GetPosition()
	doer:set_pos(pos:Get())
	if doer.components.sanity then
		doer.components.sanity:DoDelta(5)
	end
	doer.SoundEmitter:PlaySound("dontstarve/common/staff_blink")
	WARGON.make_fx(pt, "sanity_lower")
end

function TpBlink:CollectPointActions(doer, pos, actions, right)
	if right then
		if self:CanBlink(doer) then
			table.insert(actions, ACTIONS.TP_BLINK)
		end
	end
end

return TpBlink