local TpBuff = Class(function(self, inst)
	self.inst = inst
	self.buff = {}
	self.timer = {}
	self.fxs = {}
	self.tasks = {}
	self.stacks = {}




	self.inst:ListenForEvent("onattackother", function(inst, data)
		if inst:HasTag("tp_parasite") then
			if inst.components.health then
				inst.components.health:DoDelta(-5)
			end
		end
	end)
end)



local DATA = WARGON.DATA.tp_data_buff

function TpBuff:GetInfo()
	for k, v in pairs(self.buff) do
		for k1, v1 in pairs(v) do

		end
	end
end

function TpBuff:NoBuff()
	local empty = true
	for k, v in pairs(self.buff) do
		if k then
			empty = false
		end
	end
	return empty
end

function TpBuff:DoneBuff(reason)
	if self.buff[reason].task then
		self.buff[reason].task:Cancel()
		self.buff[reason].task = nil
	end
	self.buff[reason].left = nil



	local fn = DATA:GetBuff(reason).rm
	fn(self.inst, self)
	self.inst:PushEvent("tp_done_buff", {buff=reason})
end

function TpBuff:ClearDebuff()
	for k, v in pairs(self.buff) do
		if DATA:GetBuff(k).debuff then
			self:DoneBuff(k)
		end
	end
end

function TpBuff:AddBuff(reason, time)






	if DATA:GetBuff(reason) == nil then
		return
	end
	if self.buff[reason] == nil then
		self.buff[reason] = {}
	end
	local add_buff = self.buff[reason]


	local buff_time = time or DATA:GetBuff(reason).time





	add_buff.left = buff_time + GetTime()
	if add_buff.task then
		add_buff.task:Cancel()
	end



	local fn = DATA:GetBuff(reason).add
	fn(self.inst, self)
	add_buff.task = WARGON.do_task(self.inst, buff_time, function()
		self:DoneBuff(reason)
	end)




	local buff_img = DATA:GetBuff(reason).img
	local is_debuff = DATA:GetBuff(reason).debuff
	local stack = self.stacks[reason]
	DATA:SetStack(reason, stack)
	self.inst:PushEvent("tp_add_buff", {
		name = reason, 
		max_time = buff_time,




	})
end

function TpBuff:HasBuff(reason)
	return self.buff[reason] ~= nil
end

function TpBuff:OnSave()
	local save = {}
	for k, v in pairs(self.buff) do
		if v.task then
			save[k] = v.left - GetTime()
		end
	end
	return save
end

function TpBuff:OnLoad(data)
	if data then
		for k, v in pairs(data) do
			self:AddBuff(k, v)
		end
	end
end

return TpBuff