local TpDryable = Class(function(self, inst)
	self.inst = inst
	self.time = 0
end)

function TpDryable:DoDelta(dt)
	self.time = math.max(0, self.time+dt)

end

function TpDryable:OnSave()
	return {
		time = self.time,
	}
end

function TpDryable:OnLoad(data)
	if data then
		self.time = data.time or 0
	end
end

return TpDryable