local TpPack = Class(function(self, inst)
    self.inst = inst
    self.attr = nil
    self.inst:ListenForEvent("onclose", function(inst, data)
        if self.attr == nil then
            self:CheckAndSet()
        end
    end)
end)

local pack_items = {
    "manrabbit_tail",
    "bearger_fur",
    "dragon_scales",
    "crab",
    "",
}

function TpPack:Check()
    local cmp = self.inst.components.container
    if cmp and cmp:FindItem(function(item)
        return item:HasTag("tp_pack_controller")
    end) then
        local items = {}
        for k, v in pairs(pack_items) do



            for k2, v2 in pairs(cmp.slots) do
                if v2.item == v then
                    items[v] = true
                end
            end
        end
        return items
    end
end

function TpPack:Set(attr)
    self.attr = {}
    for k, v in pairs(attr) do
        self.attr[k] = true
    end
end

function TpPack:CheckAndSet()
    local items = self:Check()
    self:Set(items)
end

return TpPack