local TpUplevelCore = Class(function(self, inst)
	self.inst = inst
	self.type = nil
end)

function TpUplevelCore:Can(gun)
	if gun.components.tpbullets then
		if self.type == "fast" and not gun.components.tpbullets.fast then
			return true
		elseif self.type == "max" and gun.components.tpbullets.max
		and gun.components.tpbullets.max < 40 then
			return true
		end
	end
	if gun.prefab == "tp_spear_zeus" then
		local range = gun.components.weapon.attackrange or 0
		if range < 8 then
			return true
		end
	end
	if self.can then
		return self.can(self.inst, gun)
	end
	return false
end

function TpUplevelCore:Active(gun)
	if gun.components.tpbullets then
		if self.type == "fast" then
            gun.components.tpbullets:SetFast()
            GetPlayer().components.talker:Say(STRINGS.TP_STR.tp_uplevel_gun_fast)
	    elseif self.type == "max" then
			gun.components.tpbullets:SetMax(40)
            GetPlayer().components.talker:Say(STRINGS.TP_STR.tp_uplevel_gun_max)
        end

    elseif gun.prefab == "tp_spear_zeus" then
		local range = gun.components.weapon.attackrange or 0
    	if range < 8 then

    		gun.components.weapon:SetRange(range+3)
    		GetPlayer().components.talker:Say("攻击距离提升")
    	end
	end
	if self.fn then
		self.fn(gun)
	end
end

function TpUplevelCore:CollectUseActions(doer, target, actions)
	if self:Can(target) then

	end
end

return TpUplevelCore