local beecommon = require "brains/beecommon"
require "stategraphs/SGbee"

local assets=
{




}
    
    
local prefabs =
{


}

local workersounds = 
{
    takeoff = "dontstarve/bee/bee_takeoff",
    attack = "dontstarve/bee/bee_attack",
    buzz = "dontstarve/bee/bee_fly_LP",
    hit = "dontstarve/bee/bee_hurt",
    death = "dontstarve/bee/bee_death",
}






















        







































local function SpringBeeRetarget(inst)

        local range = 4
        return FindEntity(inst, range, function(guy)
            return inst.components.combat:CanTarget(guy)
        end, nil, {"insect", "player", "tp_dragonfly"}, 
        {"character", "animal", "monster"})



end
























local function commonfn()
    local inst = CreateEntity()
    
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    inst.entity:AddLightWatcher()
    inst.entity:AddDynamicShadow()
    inst.DynamicShadow:SetSize( .8, .5 )
    inst.Transform:SetFourFaced()
    
    

    
    inst:AddTag("tp_bee")

    inst:AddTag("insect")
    inst:AddTag("smallcreature")
    inst:AddTag("cattoyairborne")
    inst:AddTag("flying")


    MakePoisonableCharacter(inst)
    MakeCharacterPhysics(inst, 1, .5)
    inst.Physics:SetCollisionGroup(COLLISION.FLYERS)
    inst.Physics:ClearCollisionMask()
    inst.Physics:CollidesWith(GetWorldCollision())  
    inst.Physics:CollidesWith(COLLISION.FLYERS)
    inst.Physics:CollidesWith(COLLISION.INTWALL)
    
    inst.AnimState:SetBank("bee")
    inst.AnimState:PlayAnimation("idle")
    inst.AnimState:SetRayTestOnBB(true);
    
    inst:AddComponent("locomotor")
    inst.components.locomotor:EnableGroundSpeedMultiplier(false)
    inst.components.locomotor:SetTriggersCreep(false)
    inst:SetStateGraph("SGbee")
    








    
    inst:AddComponent("lootdropper")




    





   


    

    inst:AddComponent("health")


    
    inst:AddComponent("combat")
    inst.components.combat.hiteffectsymbol = "body"


    
    inst:AddComponent("sleeper")

    



    
    inst:AddComponent("inspectable")

    inst:ListenForEvent("attacked", function(inst, data)
        if data and data.attacker then
            inst.components.combat:SetTarget(data.attacker)
            inst.components.combat:ShareTarget(data.attacker, 20, 
                function(dude)
                    return dude:HasTag("tp_bee")
                end,
            10)
        end
    end)    









    return inst
end




local workerbrain = require("brains/beebrain")
local killerbrain = require("brains/killerbeebrain")







local function workerbee()
    local inst = commonfn()
    inst:AddTag("worker")



        inst.AnimState:SetBuild("bee_build")

    inst.Transform:SetScale(1.5, 1.5, 1.5)
    inst.components.health:SetMaxHealth(150)
    inst.components.combat:SetDefaultDamage(15)
    inst.components.combat:SetRange(4, 4)
    inst.components.combat:SetAttackPeriod(TUNING.BEE_ATTACK_PERIOD)
    inst.components.combat:SetRetargetFunction(2, SpringBeeRetarget)


    inst:SetBrain(require "brains/tp_bee_brain")
    inst.sounds = workersounds

    inst:AddComponent("follower")








    return inst
end
















return Prefab( "common/animal/tp_bee", workerbee, assets, prefabs)
