local assets =
{



}














local SLEEP_DIST_FROMHOME = 1
local SLEEP_DIST_FROMTHREAT = 20
local MAX_CHASEAWAY_DIST = 40
local MAX_TARGET_SHARES = 5
local SHARE_TARGET_DIST = 40

local function Retarget(inst)
    local notags = {"FX", "NOCLICK","INLIMBO"}
    local yestags = {"character", "monster"}
    local newtarget = FindEntity(inst, 25, function(guy)
            return inst.components.combat:CanTarget(guy)
    end, nil, notags, yestags)
    return newtarget
end

local function KeepTarget(inst, target)
    local selfpos = inst:GetPosition()
    local targetPos = target:GetPosition()
    return distsq(selfpos, targetPos) < MAX_CHASEAWAY_DIST*MAX_CHASEAWAY_DIST
end

local function OnAttacked(inst, data)
    local attacker = data and data.attacker
    if attacker and attacker:HasTag("chess") then return end
    inst.components.combat:SetTarget(attacker)
    inst.components.combat:ShareTarget(attacker, SHARE_TARGET_DIST, function(dude) return dude:HasTag("chess") end, MAX_TARGET_SHARES)
end

local function OnAttack(inst, data)
    local numshots = 3
    if data.target then
        for i = 0, numshots - 1 do
            local offset = Vector3(math.random(-5, 5), math.random(-5, 5), math.random(-5, 5))
            inst:DoTaskInTime(FRAMES * 10 * i, function()
                inst.components.thrower:Throw(data.target:GetPosition() + offset)
            end)
        end
    end
end

local function action_button_picker(inst)

end

local function left_click_picker(inst, target, pos)




    if pos and WARGON.on_land(inst, pos) and distsq(pt, pos) <= 6*6 then

        local action = BufferedAction(inst, nil, ACTIONS.TP_JUMP_DOWN_CAR, nil, pos)
        return {action}
    end






end

local function right_click_picker(inst, target, pos)
    return {}
end

local function fn()
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()
	inst.Transform:SetFourFaced()

	MakeCharacterPhysics(inst, 50, 1)

    WARGON.make_map(inst, "chessjunk.png")




    inst:AddTag("scarytoprey")
    inst:AddTag("companion")
    inst:AddTag("tp_boat")

	inst.AnimState:SetBank("knightboat")
	inst.AnimState:SetBuild("knightboat_build")
	inst.AnimState:PlayAnimation("idle_loop")

	inst:AddComponent("inspectable")

    inst:AddComponent("locomotor")
    inst.components.locomotor.walkspeed = 4
    inst.components.locomotor.runspeed = 8

    inst:AddComponent("combat")
    inst.components.combat.hiteffectsymbol = "spring"


    inst.components.combat:SetDefaultDamage(0)
    inst.components.combat:SetAttackPeriod(6)
    inst.components.combat:SetRange(20, 25)
    inst.components.combat:SetHurtSound("dontstarve_DLC002/creatures/knight_steamboat/hit")

    inst:AddComponent("health")
    inst.components.health:SetMaxHealth(500)

    inst:AddComponent("thrower")
    inst.components.thrower.throwable_prefab = "knightboat_cannonshot"
    
    inst:AddComponent("lootdropper")


    inst:AddComponent("rowboatwakespawner")








    inst.components.combat.not_battle_cry = true
    inst:SetBrain(require "brains/wilsonbrain")
    inst:SetStateGraph("SGknightboat")





    

    inst:ListenForEvent("onattackother", OnAttack)

    inst:AddComponent("tpvehicle")
    inst:AddComponent("tpvehiclecontroller")
    inst:AddComponent("tpvehicleactionpicker")
    inst.components.tpvehicle.jump_into = true
    inst.components.tpvehicle.ex_up_car = function(inst, doer)
        doer.components.playercontroller.actionbuttonoverride = action_button_picker
        doer.components.playeractionpicker.leftclickoverride = left_click_picker
        doer.components.playeractionpicker.rightclickoverride = right_click_picker
        doer.sg:GoToState("idle")
        doer:AddTag("tp_boat_driver")
    end
    inst.components.tpvehicle.ex_down_car = function(inst, doer)
        doer.components.playercontroller.actionbuttonoverride = nil
        doer.components.playeractionpicker.leftclickoverride = nil
        doer.components.playeractionpicker.rightclickoverride = nil
        doer:RemoveTag("tp_boat_driver")
    end
    inst.components.tpvehiclecontroller.can_attack = true

    inst.components.tpvehicle.ex_death = function(inst, doer)
        if doer and doer:is_alive() then
            doer.components.health:Kill("drowning")
        end
    end

	return inst
end

return Prefab("common/object/tp_boat", fn, assets),
    MakePlacer("common/tp_boat_placer", "knightboat", "knightboat_build", "idle_loop", false, false, false)
