local goods_shelf = {
	{
		name = "tp_gift",
		price = 10,
		img = {"tp_gifts", "tp_gift"},
	},
	{
		name = "tp_gift2",
		price = 50,
		img = {"tp_gifts", "tp_gift2"},
	},
	{
		name = "tp_gift3",
		price = 100,
		img = {"tp_gifts", "tp_gift3"},
	},
	{
		name = "tp_gift4",
		price = 50,
		img = {"tp_items", "tp_gift_epic"},
	},
	{
		name = "tp_gift6",
		price = 200,
		img = {"tp_items", "tp_gift_equip"},
	},
	{
		name = "tp_gift8",
		price = 50,
		img = {"tp_gifts", "tp_gift_remind"},
	},





































































































































































}



















































local BuySystem = Class(function(self)
end)

function BuySystem:GetBalance()
	local tpbuy = GetPlayer().components.tpbuy
	if tpbuy then
		return tpbuy:CountMoney() or 0
	end
end

function BuySystem:BuyGoods(goods)
	local tpbuy = GetPlayer().components.tpbuy
	if tpbuy and tpbuy:CanBuy(goods.price) then
		local item = SpawnPrefab(goods.name)
		if item.components.inventoryitem then
			GetPlayer().components.inventory:GiveItem(item)
			GetPlayer().components.tpbuy:Buy(goods.price)
		end
		return true
	else
		return false
	end
end

function BuySystem:__tostring()
	return string.format("BuySystem")
end

local GoodsData = Class(function(self, name, price, img)
	self.name = name
	self.price = price or 10
	self.img = img or ""
	self.book = ""
	self.limit = 19
end)

function GoodsData:SplitString(str)
	local len = string.len(str)/3
	local substr = nil
	if len > self.limit then
		substr = string.sub(str, self.limit*3+1, -1)
		str = string.sub(str, 1, self.limit*3)
	end
	return str, substr
end

function GoodsData:GetString()

	local str, substr = WARGON.split_string(self.book, self.limit)
	local sentence = str

	while substr do
		str, substr = WARGON.split_string(substr, self.limit)

		sentence = sentence.."\n"..str
	end
	return sentence
end

function GoodsData:__tostring()
	return string.format("ShelfData %s - %s", self.name, self.price)
end

local SalePanelData = Class(ShelfData, function(self)
	ShelfData._ctor(self, "充值商城", 20)
	self.shopper = BuySystem()
	self.tip = "谢谢惠顾"
	self.tip2 = "您的余额\n已不足"
end)

local sale_panel_data = SalePanelData()

for k, v in pairs(goods_shelf) do
	local goods = GoodsData(v.name, v.price, v.img)
	goods.book = STRINGS.CHARACTERS.GENERIC.DESCRIBE[string.upper(v.name)]
	sale_panel_data:AddItem(goods)
end

WARGON.DATA.sale_panel_data = sale_panel_data