
local shelfs = {
	{
		"界面介绍",
		{
			"搜索世界",
			"进入游戏后点击右上角的《搜索世界》里检查一下一些专属的世界资源（巨人国开局）",
			"除了非猪酋长、各个元素领主（雷霆领主，火焰领主等）和天启骑士以外，其他资源应当都为一个",
			"若有缺失相关资源的情况，建议重开",
		},
		{
			"提升等级",
			"提升等级需要建造训练中心才能点开",
			"训练中心需要在科学家模式下解锁",
			"点开右上角的《提升等级》",
			"在提升等级的界面里点击想要提升的属性",
			"加点完毕后点击确定即可完成升级",
			"升级需要身上持有生命精华",
			"点击取消则放弃这次加点",
			"每次提升等级时会会满玩家的三围",
		},
	},
	{
		"世界",
		{
			"熔炉奇遇",
			"地图上会出熔炉奇遇",
			"该奇遇为地毯地皮组成的小正方形，中间会出现一个伪骑士的梦境，周围有一个战争熔炉和一把投掷战矛",
		},
		{
			"祝福古树",
			"地图上的森林某处会出现一个祝福古树",

			"如果你中毒了，可以通过给予生命古树银杏叶或橡果解毒",
		},
		{
			"生命古树",
			"地图上的森林某处会出现一个生命古树",
			"生命古树可以用银杏叶进行交易，有几率获得银杏树苗、战争树苗、哨兵树苗、生命树苗和其他世界的树种（比如你在巨人国就有可能出丛林树果或茶树果）",
		},
		{
			"知识古树",
			"地图上的森林某处会出现一个知识古树",
			"可以在知识古树这里打开升级界面",
		},
		{
			"奇迹古树",
			"地图上的森林某处会出现一个奇迹古树",
			"可以在奇迹古树这里打开商城界面",
		},
		{
			"月光湖",
			"地图上的某处会出现月光湖",
			"月光湖在月圆期间可以进入",
			"如果在月圆期间使用潜水镜跳进池塘，会传送到月光湖处",
		},
		{
			"BOSS梦境",
			"地图上的森林地区会随机刷出BOSS的梦境",
			"进入BOSS的梦境之后就可以与BOSS交战了",
			"梦境出口是关闭的，只有打败BOSS后出口",
			"才能打开",
		},
		{

			"猪王的噩梦",
			"月圆之夜，一位猪王的噩梦（原猪人领主）会降临到猪王旁边",
			"猪王的噩梦会在天亮时消失，被杀死的猪王的噩梦不会再次降临",



		},
		{
			"宝石座狼",
			"地图的戈壁地区会出现一只蓝宝石座狼和一只红宝石座狼",
			"宝石座狼可以在戈壁地区找到，也可通过翻找脚印生成",
		},
		{
			"猪王草人",
			"猪王村会出现一个猪王草人",
			"猪王草人可以代替猪王进行交易，并且交易到一定次数后会掉落工具猪人的蓝图",
			"猪王草人的旁边又一群方尖碑围着，这些方尖碑会在月圆之夜消失",
		},





		{
			"银杏树林",
			"地图中的桦树林地区会出现银杏树",
			"砍倒成年的银杏树就会掉落银杏叶",
		},
		{
			"蓝鸟的蛋",
			"地图的岩石地区会出现一个蓝鸟的蛋",
			"捡起蓝鸟的蛋会找来一只蓝鸟",
			"蓝鸟可以右键点击变成锅，锅又可以右键点击变回蓝鸟",
			"也可以点击蓝鸟的蛋，也会让蓝鸟变换状态",
		},




	},
	{
		"等级",
		{
			"升级",
			"升级需要身上持有生命精华",

			"在提升等级的界面里点击想要提升的属性",
			"加点完毕后点击确定即可完成升级",
			"点击取消则放弃这次加点",
			"每次提升等级时会会满玩家的三围",
		},
		{
			"加点返还",
			"在升级界面加点时",
			"按着CTRL键点击属性，就可以返还当前的",
			"加点",
			"确定过的加点不能返还",
		},
		{
			"生命精华",
			"生命精华通过击杀史诗级生物获得",
			"史诗级生物包括世界BOSS，树精和蜘蛛女",
			"王",
			"座狼不属于史诗级怪物，而是和大象一样属于大型生物",
		},
		{
			"临界值",
			"许多属性有一个临界值，未达到临界值之前，每次加点会提升较多的属性",
			"达到临界值之后，每次加点只会提升正常的属性",
		},
		{



			"武器强化",
			"会为强化核心的武器提供额外的攻击力",
		},
		{
			"掉落幸运",
			"属性“掉落幸运”会增加一些稀有掉落物的掉落几率",
			"但并不是所有概率掉落的物品都会得到此概率加成",
		},







	},
	{
		"道具",
		{
			"合成图鉴",
			"点击《合成图鉴》可以查看不同工作台可以合成的物品",
			"点击这些物品可以显示相关信息和合成配方",
			"注意，一个工作台的合成配方不能适用于另一个工作台",
			"用错误的配方进行合成只能得到灰烬",
		},
































		{
			"草帽II",
			"草帽II可以投向能被陷阱捕捉的生物（鸟类除外），猪人等可以带帽子的生物，皮弗娄牛和火鸡",
			"投向小动物会变成陷阱;",
			"投向猪人等会变成帽子并带有雇佣效果;",
			"投皮弗娄牛会变成鞍，且此鞍具有九格容器，并让皮弗娄牛完全驯化;",
			"投向火鸡，会使火鸡变成工具火鸡",
		},
		{
			"工具火鸡",
			"工具火鸡会采收周围的草和树枝（浆果一样会吃掉），收集的资源会带在身上",
			"晚上工具火鸡会寻找浆果丛，但并不会钻进去消失，而是把资源放在浆果丛旁边，然后在浆果丛旁睡觉.",
		},
		{
			"森林之杖",
			"森林之杖本身没有攻击力，但攻击时会指引周围跟随的树叶冲向敌人，造成多段范围伤害",
		},
		{
			"步行手杖B",
			"使用步行手杖B在滑行期间无敌，但前后摇时间没有",
		},

























		{
			"路牌法杖",
			"路牌法杖会杀死一些怪物而非生物，包括蜘蛛，猎犬，树精，蜘蛛猴，影怪等",
			"对世界级BOSS造成五百点伤害",
		},
		{
			"森林之枪",
			"森林之枪可以装填松果，橡果，丛林树种子，椰果和茶树果作为子弹，不同的树果会提供不同的效果",
		},
		{
			"森林子弹",
			"松果：增加射程",
			"橡果：攻击将造成范围伤害",
			"丛林树种子：造成伤害会回复生命",
			"椰果：对近距离的敌人造成额外伤害",
			"茶树果：命中敌人后会增加敌人的睡意",
		},








		{
			"脉冲战矛",
			"脉冲战矛的战将饱食度化为能量球射向目标",
		},






























		{
			"运输火箭",
			"运输火箭内可以放入物品，点燃运输火箭，运输火箭会升空",
			"如果玩家建造有物资发射中心，那么运输火箭升空后，运输火箭内的物品便会运送到物资发射中心里去",
		},
		{
			"收获镰刀",
			"收获镰刀可以快速采收草，树枝，坚果丛等作物",
		},
		{
			"传送卷轴",
			"使用传送卷轴会弹出传送界面",
			"传送卷轴会收集当前世界六种颜色的月眼的位置",
			"每种颜色只会收集一个",
			"在传送界面点击相应的月眼即可传送到对应位置",
		},
		{
			"法老王之书",
			"将一个boss召唤卡放入法老王之书",
			"再放入3个物质反应装置，此时使用boss召唤卡",
			"召唤boss将消耗3个物质反应装置，而不会消耗boss召唤卡",
			"如果存在召唤的相同的boss，则仍会消耗boss召唤卡",
		},
		{
			"空间转换器",
			"将空间转换器使用在解锁的门上",
			"会出现我的ID和目标ID",
			"在输入框里输入你希望达到的目标ID然后确认",
			"这扇门就会通往对应你所修改的目标ID的那扇门",
		},
	},
	{
		"生物",
		{
			"BOSS加强",
			"三千血以下的BOSS血量增加到三千（海妖",
			"血量增加到两千）",
		},
		{
			"巨鹿",
			"巨鹿受到伤害后会释放雪球，冰冻，降温周围的敌人并熄灭火焰",
		},
		{
			"鹿鸭",
			"鹿鸭的攻击变为范围伤害",
			"吼叫时会震落目标的所有物品并召唤一阵旋风",
		},
		{
			"龙蝇",
			"龙蝇三连拍时会释放冲击波摧毁建筑和植被，并召唤陨石，陨石砸到龙蝇会为龙蝇回复生命",
		},
		{
			"熊獾",
			"熊獾拍地板时会造成大范围的伤害，并且在前方召唤两个幻影拍地板",
		},
		{
			"犀牛",
			"火堆和洞穴二层的柱子可以被摧毁了，犀牛冲锋时会召唤5个幻影一起冲锋",
		},
		{
			"豹卷风",
			"豹卷风在进入战斗状态后，会周期性的召唤龙卷风攻击敌人",
		},
		{
			"虎鲨",
			"虎鲨移动时，会朝四面八方产生海浪，海浪会照成伤害并增加潮湿度",
		},
		{
			"海妖",
			"海妖的触手会获得元素之力",
		},
		{
			"大蛇",
			"大蛇受到伤害后会进入半秒的无敌状态",
		},
		{
			"挖掘机",
			"挖掘机被攻击后会有一定几率制作蓝翔料理，并根据料理的类型获得相应的增益",
			"制作料理有一定的冷却时间，不会连续制作",
			"在料理buff持续期间，会不断召唤电磁炮攻击敌人",
			"蓝翔料理",
			"蔬菜杂烩：增加50%攻击力；",
			"茶：持续回复体力；",
			"蒸火腿三明治：获得50%的防御；",
		},
		{
			"其他BOSS",
			"其他BOSS会随机获得四季BOSS或者犀牛的加强",
		},
		{
			"BOSS掉落",
			"杀死BOSS会额外掉落随机道具，杀死四季",
			"BOSS有一定几率掉落四季BOSS的冰雕蓝图",
			"杀死龙蝇有一定几率掉落囚嘤笼的蓝图",
		},
		{

			"猪王的噩梦",
			"非猪酋长和元素领主现在都改名为猪王的噩梦",
			"非猪酋长和元素领主都拥有六位护法跟随",
			"但非猪酋长拥有六种元素的护法各一位，其他元素领主拥有六位同元素的护法",
			"非猪酋长和元素领主每次嚎叫时会召唤一只疯猪，并将周围的猪人变成疯猪",
			"靠近非猪酋长和元素领主时，会增长诅咒值",
			"非猪酋长死亡会掉落变身蓝图和随机道具",
			"元素领主死后会掉落生命精华和随机道具",
			"元素领主会优先掉落猪王日记或猪王帽子，这两件物品掉落过之后便不会再掉落",
			"其他元素领主会掉落更多的生命精华代替",
		},
		{
			"非猪酋长（黑色猪王的噩梦）",
			"非猪酋长在黄昏会加强，夜晚再次加强，如果是月圆，则会进入最强的状态",
			"每次加强会提升攻击、防御、体型和生命回复，月圆时会提升攻击距离",
			"到了白天则会变回来",
		},
		{
			"猩红领主（红色猪王的噩梦）",
			"猩红领主的每次攻击具有完全吸血效果",
			"血量越低攻击力越高，最高可达到一千五百的攻击力",
		},
		{
			"雷霆领主（蓝色猪王的噩梦）",
			"雷霆领主会发射电磁炮进行攻击，攻击雷霆领主会触电",
		},
		{
			"烈焰领主（黄色猪王的噩梦）",
			"会令周围的猪人以外的生物持续掉血",
			"烈焰领主的攻击会引燃目标，攻击烈焰领主也会被引燃",
		},
		{
			"冰霜领主（青色猪王的噩梦）",
			"会令周围的猪人以外的生物持续降温",
			"冰霜领主的攻击会冰冻敌人，攻击冰霜领主也会被冰冻",
		},
		{
			"沼泽领主（绿色猪王的噩梦）",
			"它的攻击会令目标中毒，攻击沼泽领主也会中毒",
			"沼泽领主攻击中毒的目标时会额外造成目标十分之一最大生命值的真实伤害",
		},
		{
			"幻影领主（粉色猪王的噩梦）",
			"幻影领主会召唤一个无敌的分身",
			"本体死亡后分身会立即消失",
		},
		{
			"天启骑士",
			"天启骑士会召唤路牌攻击敌人",
			"受到攻击时有几率召唤三个路牌追踪目标攻击",
			"天启骑士会释放法阵",
			"法阵会秒杀除史诗级生物和玩家外的生物，令玩家增加一百点诅咒值，为法阵内的天启骑士回复体力值。",
		},
		{
			"伪骑士",
			"伪骑士的攻击会对玩家造成破甲状态",
			"伪骑士拥有护甲，血量高于百分之九十时减伤百分之八十",
			"伪骑士的血量低于百分之八十之后不再拥有护甲",
		},
		{
			"小黄蜂",
			"小黄蜂的攻击有几率使玩家流血",
		},
		{
			"锯齿领主",
			"锯齿领主会使用突刺和砸地攻击",
			"锯齿领主的攻击会使玩家进入重伤状态",
			"锯齿领主死后会召唤另外两位锯齿领主",
		},
		{
			"灵魂学徒",
			"灵魂学徒会不断召唤幽灵",
			"灵魂学徒会将幽灵化作能量进行攻击",
			"灵魂学徒受到攻击时有几率瞬移",
		},
		{
			"愚者蜘蛛",
			"它的攻击会增加玩家的诅咒值",
			"愚者蜘蛛会释放冲击波对敌人造成伤害",
			"愚者蜘蛛被唤醒时和血量下降到一定程度后，会召唤一群白蜘蛛",
		},
		{
			"宝石座狼",
			"受到攻击后有几率掉落相同颜色的宝石",
			"第一次嚎叫时会招来另一只不同颜色的宝石座狼",
			"杀死宝石座狼会掉落大量相同颜色的宝石",
		},
	},
	{
		"元素之力",
		{
			"普通元素",
			"一些生物会拥有元素之力",
			"红色：攻击时会回复体力并对目标额外造成一半的真实伤害；",
			"绿色：攻击会令目标中毒",
			"蓝色：攻击会发射电磁炮",
			"黄色：攻击目标后会进入四秒的无敌状态",
			"青色：攻击会冰冻目标",
			"紫色：攻击目标后有几率召唤暗影触手攻击目标",
		},
		{
			"护法元素",
			"猪人护法的元素之力会有所不同",
			"红色护法：攻击时会回复体力并对目标额外造成一倍的真实伤害",
			"绿色护法：攻击会令目标中毒",
			"蓝色护法：攻击会发射电磁炮",
			"黄色护法：攻击会引燃目标",
			"青色护法：攻击会冰冻目标",
			"紫色护法：攻击会令目标沉睡",
		},
	},
	{
		"食物",
		{
			"品质和词条",
			"三围回复效果有一条大于六的食物会获得词条和品质，具有一定的特殊功能",
			"大部分词条效果会在食用之后产生",
			"品质由食物的词条决定",
			"不同品质的食物相互堆叠时，高品质的食物会变为低品质食物的词条和品质",
			"品质级别由低到高排序：劣质、稀有、史诗、传说、神话",
			"食物分开堆放时，会分出相同的词条和品质",
			"神话果实不会腐烂",

			"负面效果的词条均为劣质品质",
			"食物的词条和品质可以通过基因改良机转化为其他随机词条和品质",
			"转换食物词条和品质需要消耗一个金矿",
		},
	},
	{
		"玩家",
		{
			"初始",
			"玩家进入游戏后，会自带一个礼包和一个GPS",

			"使用GPS后地图上会显示生命古树和熔炉奇遇的位置",
			"玩家的初始属性受到了一定的削弱，后期可以通过升级提升",
		},






















































		{
			"雕像精通",
			"玩家制造复活雕像的成本减半",
		},
		{
			"饱腹",
			"玩家在食用饱食度大于五十的食物后，当前阶段会因为饱腹无法入睡，需进入下一阶段（白天，黄昏，黑夜）才能入睡",
			"可以通过食用安眠药消除当前阶段不可入睡的效果",
			"升级“胃部调理”会消除这一效果",
			"（现实中要记得按时吃饭呀，想作者一样得了胃病就不好了）",
		},
		{
			"饥饿",
			"玩家随着饱食度的降低，移动速度和攻击会降低，最高降低百分之五的移速",
		},
		{
			"胆怯",
			"玩家随着理智的降低，会失去战斗意愿，攻击力会降低，最高降低百分之十的攻击力",
		},
		{
			"惊恐",
			"玩家在受到伤害导致生命值较低时，会进入恐慌，失去此次生命损失等百分比的理智",
		},
		{
			"诅咒",
			"玩家拥有诅咒值，诅咒值如果达到上限，就会立即死亡，诅咒值在平时会不断下降",
		},
		{
			"梦魇",
			"理智崩溃的玩家被影怪视为目标时，影怪们会变为远程攻击",
			"升级“勇气锻炼”会消除这一效果",
		},
		{
			"抵抗力差",
			"中毒时，每次毒发会扣额外的血量，下一次会扣得更多（有上限）",
			"这一叠加效果会在解毒后清除，也可以食用抑制剂让叠加的额外伤害清零",
			"升级“抗毒血清”会消除这一效果",
		},
		{
			"负面效果",
			"破甲：玩家所有装备的护甲收益减半",
			"流血：玩家的生命值会不断下降",
			"重伤：玩家所有生命回复效果减半",
		},
	},
	{
		"生物装备",
		{
			"生物装备",
			"一些生物会获得生物装备",
			"生物装备不仅会获得属性上的提升",
			"还会获得一些额外效果",
			"史诗级怪物会获得两个生物装备，拥有两个生物装备的属性和效果",
		},
	},
	{
		"植物精灵",
		{
			"植物精灵",
			"一些树木会获得植物精灵",
			"植物精灵让树木获得一些额外的效果",
		},
	},
	{
		"附魔台",
		{
			"附魔台",
			"附魔台可以对一件可装备且不可叠加的物品（本mod专属道具除外）进行附魔",
			"附魔台须放入一件装备和至少一个宝石才能进行附魔",
			"附魔后物品将可以检查到对应的宝石属性。",
		},
		{
			"红宝石",
			"使用红宝石进行附魔的物品：",
			"（手持）攻击敌人时会点燃敌人",
			"（非手持）使清凉效果变为保温效果，并根据属性增强保温效果",
		},
		{
			"蓝宝石",
			"使用蓝宝石进行附魔的物品：",
			"（手持）攻击敌人使会冰冻敌人，大于十的倍数会提升冰冻效果",
			"（非手持）使保温效果变为清凉效果，并根据属性增强清凉效果",
		},
		{
			"紫宝石",
			"使用紫宝石进行附魔的物品：",
			"提高物品的回复理智效果",
		},
		{
			"绿宝石",
			"使用绿宝石进行附魔的物品：",
			"（手持）攻击敌人会令敌人中毒",
			"（非手持）使装备具有防毒效果，大于十则还能防毒气",
		},
		{
			"橙宝石",
			"使用橙宝石进行附魔的物品：",
			"（手持）攻击敌人会回复血量",
			"（非手持）装备后会周期性回复血量，回复效果会随属性增加",
		},
		{
			"黄宝石",
			"使用黄宝石进行附魔的物品：",
			"使装备会发光，发光效果随属性提升，属性达到六点之后发光效果不会再改变",
		},
	},
	{
		"武器锻造台",
		{
			"武器锻造台",
			"武器锻造台可以放入手持工具或武器（提灯、火把之类除外）",
			"点击炼制之后会将放置的三件物品进行融合，得到一把融合战矛",
			"融合战矛会继承融合物品的所有属性，但黑曜石装备的特性不会被继承",
			"同类属性会选取最高的一者获得，部分属性会进行叠加（加速效果，理智回复效果）",
			"如果武器有使用耐久度，则会失去时间耐久度；有新鲜度，则会失去耐久值属性",
			"本mod的专属道具无法参与融合",
		},
	},
	{
		"建筑",
		{
			"挖土机",
			"右键挖土机可以驾驶挖土机",
			"如果鼠标显示挖掘则可以点击让挖掘机到该处挖出一块灌溉土丘，只有在能够种植树苗的地方才能进行挖掘",
			"空格键或者右键挖掘机则会从挖掘机上下来",
		},
		{
			"食材加工机",
			"食材加工机未处于烹煮状态时，放入一个火锅底料，会进入十五秒的烹煮状态",
			"烹煮状态下放入一个食材，点击烹饪，食材会被烹饪成料理（相当于烹饪锅用四个这种食材得到的料理），一些特定的食材则会获得对应的料理",
			"烹饪好的料理会存放在食材加工机内，直接打开食材加工机取出即可",
			"食材加工机未处于烹煮状态时，无法放入食材；处于烹煮状态时，无法放入火锅底料",
			"食材加工机烹煮出来的食材由一般的几率变为麻辣品质",
		},
		{
			"采矿机",
			"采矿机在第二天来临时会挖出一些矿石",
		},
	},
	{
		"物质反应器",
		{
			"物质反应器",
			"给予某些物品到物质反应器里，点击确认会触发一些特殊效果",
		},
		{"种子"},
		{"噩梦燃料"},
		{"红宝石"},
		{"红色羽毛"},
		{"触手皮"},
		{"黑曜石"},
		{"橄榄球帽"},
		{"木甲"},
		{"咖啡豆"},
		{"火腿球棒"},
		{"蜂蜜药膏"},
		{"火龙果"},
		{"鸭子羽毛"},
		{"猪皮"},
		{"兔毛"},
		{"紫宝石"},
		{"猪皮II"},
		{"花环"},
		{"蝙蝠翅膀"},
	},
	{
		"复方药剂",
		{
			"复方药剂",
			"给予某些物品到复方药剂里，点击确认会变成有特殊效果的催化的复方药剂，强力复方药剂可以食用",
		},
		{"蓝蘑菇"},
		{"红蘑菇"},
		{"绿蘑菇"},
		{"恶魔花瓣"},
		{"燧石"},
		{"花瓣"},
		{"洞穴苔藓"},
		{"大肉干"},
		{"铁矿"},
		{"触手皮"},
		{"蓝宝石"},
		{"黑曜石"},
		{"蜘蛛腺体"},
		{"榴莲"},
		{"西瓜"},
		{"洞穴香蕉"},
		{"茄子"},
		{"缀食者皮"},
		{"火龙果"},
		{
			"夏象鼻", 
			"免疫冲击波"
		},
		{
			"夏象鼻", 
			"免疫冲击波"
		},
	},
	{
		"活性夜",
		{
			"活性液",
			"给予某些物品到活性液里，点击确认会变成某些植物的种子",
		},
		{"树苗","红树"},
		{"草根","水草"},
		{"采下的芦苇","芦苇"},
		{"荧光果","荧光花"},
		{"采摘的红蘑菇","红蘑菇"},
		{"采摘的绿蘑菇","绿蘑菇"},
		{"采摘的蓝蘑菇","蓝蘑菇"},
		{"仙人掌肉","仙人掌"},
		{"洞穴香蕉","洞穴香蕉树"},
		{"活木","活木树"},
		{"能量水晶蓝","蓝晶矿树"},
		{"能量水晶红","红晶矿树"},
	},
}


for k, v in pairs(WARGON.DATA.tp_data_power_fruit_table) do
	table.insert(shelfs[7], {
		v.name,
		STRINGS.TP_STR.tp_fruit_quality[v.quality+1],

		v.desc,	
	})
end

for k, v in pairs(WARGON.DATA.tp_data_power_new) do
	table.insert(shelfs[9], {
		v.name,
		v.desc,	
	})
	shelfs[9][k+2][2] = v.desc
end

for k, v in pairs(WARGON.DATA.tp_data_power_tree) do
	table.insert(shelfs[10], {
		v.name,
		v.desc,	
	})
end




for k, v in pairs(WARGON.SCROLL_ITEMS) do







	shelfs[14][k+2][2] = STRINGS.CHARACTERS.GENERIC.DESCRIBE[string.upper(v[2])]
end

for k, v in pairs(WARGON.POTION_ITEMS) do




	shelfs[15][k+2][2] = STRINGS.CHARACTERS.GENERIC.DESCRIBE[string.upper(v[2])]
end








local function shelfs_add_gift_list(gift_name, _list)
	local gift_list = {
		STRINGS.NAMES[string.upper(gift_name)],
		"可以开出：",	
	}
	for k, v in pairs(_list) do
		local name = v
		if string.sub(v, -3, -1) == "_bp" then
			name = string.sub(v, 1, -4)
		end
		table.insert(gift_list, STRINGS.NAMES[string.upper(name)])
	end
	table.insert(shelfs[4], gift_list)
end
shelfs_add_gift_list("tp_gift", WARGON.GIFT_LIST)
shelfs_add_gift_list("tp_gift2", WARGON.GIFT_LIST2)
shelfs_add_gift_list("tp_gift3", WARGON.GIFT_LIST3)
shelfs_add_gift_list("tp_gift4", WARGON.GIFT_LIST4)
shelfs_add_gift_list("tp_gift8", WARGON.GIFT_LIST8)

local BookData = Class(ShelfData, function(self, title)
	ShelfData._ctor(self, title, 11)
	self.limit = 18
end)

function BookData:AddItem(str)
	if self.max <= 0 then
		self:AddBar()
	end
	if #self.shelf[self.max] >= self.unit then
		self:AddBar()
	end
	local substr = nil
	str, substr = WARGON.split_string(str, self.limit)
	table.insert(self.shelf[self.max], str)
	if substr then
		self:AddItem(substr)
	end










end

function BookData:GetString()
	local str = nil
	for k, v in pairs(self:GetItems()) do
		if not str then
			str = v.."\n"
		else
			str = str..v.."\n"
		end
	end
	str = string.sub(str, 1, -2)
	return str
end

function BookData:__tostring()
	return string.format("BookData %s",self.title)
end

local TeachPanelData = Class(ShelfData, function(self)
	ShelfData._ctor(self, "帮助信息", 8)
end)

function TeachPanelData:Print()

	for k, v in pairs(self:GetItems()) do

	end

	for k, v in pairs(self:GetItem():GetItems()) do

	end

	local book = self:GetItem():GetItem()

end

function TeachPanelData:ShelfPageTurn(dt)
	local shelf = self:GetItem()
	shelf:PageTurn(dt)
end

function TeachPanelData:BookPageTurn(dt)
	local book = self:GetItem():GetItem()
	book:PageTurn(dt)
end

local teach_panel_data = TeachPanelData()

for k, v in pairs(shelfs) do
	local shelf = nil
	for k2, v2 in pairs(v) do
		if k2 == 1 then
			shelf = ShelfData(v2, 10)
		else
			local book = BookData(v2[1])
			for k3, v3 in pairs(v2) do
				if k3 > 1 then
					book:AddItem(v3)
				end
			end
			shelf:AddItem(book)
		end
	end
	teach_panel_data:AddItem(shelf)
end


GLOBAL.WARGON.DATA.teach_panel_data = teach_panel_data