local TpBuy = Class(function(self, inst)
	self.inst = inst
	self.coin = 0
end)

local coin_name = {



	"tp_coin",
	"tp_coin10",
	"tp_coin100",
}

function TpBuy:CountCoin()
	local inventory = self.inst.components.inventory
	local coin = {0, 0, 0}
	if inventory then
		for k, v in pairs(coin_name) do
			coin[k] = inventory:Count(v)
		end



	end
	return coin
end

function TpBuy:CountMoney()
	local coin = self:CountCoin()
	local money = 0
	money = money + coin[1] + 10*coin[2] + 100*coin[3]
	return money
end

function TpBuy:CanBuy(price)
	local money = self:CountMoney()
	return money >= price
end

function TpBuy:NeedCoin(price)
	local coin = {}
	coin[1] = price%10
	coin[2] = ( math.floor(price/10) )%10
	coin[3] = math.floor( price/100 )
	return coin
end

function TpBuy:RunOut()
	local coins = self:CountCoin()
	for i = 1, 3 do
		if coins[i] > 0 then




			self.inst.components.inventory:ConsumeByName(coin_name[i], coins[i])
		end
	end
end

function TpBuy:PayCoin(coin, num)

end

function TpBuy:Buy(price)
	local money = self:CountMoney()
	if money >= price then





















		local coins = self:CountCoin()
		local need_coins = self:NeedCoin(price)



		self:RunOut()
		local balance = money - price
		local unit = 10
		for i = 1, 3 do
			local n = balance % unit
			if i == 3 then
				n = balance
			end
			if n > 0 then
				local coin = SpawnPrefab(coin_name[i])
				if n > 1 and coin.components.stackable then
					coin.components.stackable:SetStackSize(n)
				end
				self.inst.components.inventory:GiveItem(coin)
			end
			balance = math.floor( balance / unit )
		end











	else
		print("not enough money")
	end
end

return TpBuy