local TpInterable = Class(function(self, inst)
	self.inst = inst
end)

function TpInterable:SetCanFn(fn)
	self.can_interable = fn
end

function TpInterable:CanInterable(target, doer)
	if self.can_interable then
		return self.can_interable(self.inst, target, doer)
	end
	return true
end

function TpInterable:SetFn(fn)
	self.interable_fn = fn
end

function TpInterable:CollectUseActions(doer, target, actions, right)
	if target.components.tpinter
	and target.components.tpinter:CanInter(self.inst, doer)
	and self:CanInterable(target, doer) then
		table.insert(actions, ACTIONS.TP_INTER)
	end
end

return TpInterable