local fns = {}
for k, v in pairs(WARGON.SCROLL_ITEMS) do
    local item = v[1]
    local scroll = v[2]
    if k <= 6 then
        scroll = string.sub(scroll, 8, -1)
        fns[item] = WARGON_SCROLL_FN[scroll]
    else
        fns[item] = WARGON.SCROLL_PIG_FNS[scroll]
    end
end
























local TpScroll = Class(function(self, inst)
    self.inst = inst
    self.scroll = nil
    self.fns = fns
end)

function TpScroll:SetScroll(scroll)
    self.scroll = scroll
end

function TpScroll:OnRead(reader)
    local fn = fns[self.scroll]
    if fn then
        fn(self.inst, reader)
    end
end

function TpScroll:OnSave()
    return {
        scroll = self.scroll
    }
end

function TpScroll:OnLoad(data)
    if data then
        self.scroll = data.scroll
    end
end

return TpScroll