local TpUse = Class(function(self, inst)
	self.inst = inst
	self.right = true
end)

function TpUse:CanUse()
	if self.can then
		return self.can(self.inst)
	end
	return true
end

function TpUse:Use(doer)
	if self.use then
		self.use(self.inst, doer)
	end
end

function TpUse:CollectSceneActions(doer, actions, right)
	if (not right == not self.right) and self:CanUse() then
		table.insert(actions, ACTIONS.TP_USE)
	end
end

function TpUse:CollectInventoryActions(doer, actions, right)

	if self:CanUse() then
		table.insert(actions, ACTIONS.TP_USE)
	end
end

return TpUse