local TpWereKingSpawner = Class(function(self, inst)
	self.inst = inst
	self.days = 0
	self.num = 0
	self.spawned = false















	self.inst:ListenForEvent("nighttime", function()

		if WARGON.is_full_moon() then
			self:Spawn()
		end
	end, GetWorld())
end)

function TpWereKingSpawner:Spawn()
	if c_findtag("tp_werepig_king") then
		return
	end
	local lords = {

		"tp_blood_lord",
		"tp_thunder_lord",
		"tp_fire_lord",
		"tp_ice_lord",
		"tp_poison_lord",
		"tp_shadow_lord",
	}
	local temp = {}
	for k, v in pairs(lords) do
		if GetPlayer().components.tpprefabspawner:CanSpawn(v) then
			table.insert(temp, v)
		end
	end
	local lord = nil
	if #temp <= 0 then



	else
		lord = temp[math.random(#temp)]
	end
	if GetPlayer().components.tpprefabspawner:CanSpawn("tp_werepig_king") then
		lord = "tp_werepig_king"
	end
	if lord then
		local pos = WARGON.around_land(self.inst, 2)
		if pos then
			WARGON.make_fx(pos, "lightning")
			WARGON.make_spawn(pos, lord)




		end
	end
end

function TpWereKingSpawner:Trigger()

























	if c_find("tp_werepig_king") ~= nil then
		return
	end
	self.num = self.num + 1
	if self.num >= 4 then
		self.num = 0

		local pos = WARGON.around_land(self.inst, 25)
		if pos then

			local clock = GetClock()
			if clock:IsNight() == false then
				clock:NextPhase()
			end
			WARGON.make_spawn(pos, "tp_werepig_king")
			WARGON.make_fx(pos, "lightning")
			WARGON.make_fx(pos, "statue_transition")
			for i = -1, 1, 2 do
				for j = -1, 1, 2 do
					local pt = pos
					pt.x = pt.x + i
					pt.z = pt.z + i
					WARGON.make_fx(pt, "statue_transition")
				end
			end
		end
	end
end

function TpWereKingSpawner:OnSave()
	return {
		days=self.days,
		spawned = self.spawned,
	}
end

function TpWereKingSpawner:OnLoad(data)
	if data then
		self.days = data.days or 0
		self.spawned = data.spawned
	end
end

return TpWereKingSpawner