local Image = require "widgets/image"
local Screen = require "widgets/screen"
local Button = require "widgets/button"
local Text = require "widgets/text"
local UIAnim = require "widgets/uianim"
local Widget = require "widgets/widget"
local Menu = require "widgets/menu"
local ImageButton = require "widgets/imagebutton"


local TpIngdSign = Class(Widget, function(self)
	Widget._ctor(self, "TpIngdSign")
	self.back_ground = self:AddChild(Image(
		"images/hud.xml", "craftingsubmenu_fullvertical.tex"
	))
	self.back_ground:SetRotation(180)
	self.back_ground:SetScale(.6, .5, 0)
	self.slots = {}
	self.ingds = {}
	self.texts = {}
	local n = 1
	for i = 0, 1 do
		for j = 0, 1 do
			local x, y = 35-70*j, 20+35-70*i
			self.slots[n] = self:AddChild(Image(
				"images/hud.xml", "inventory_bg_single.tex"
			))
			self.slots[n]:SetPosition(x, y, 0)
			self.slots[n]:SetScale(.6)
			self.ingds[n] = self:AddChild(Image(
				"images/inventoryimages.xml", "ash.tex"
			))
			self.ingds[n]:SetPosition(x, y, 0)
			self.ingds[n]:SetScale(.6)
			self.texts[n] = self:AddChild(Text(TITLEFONT, 30))
			self.texts[n]:SetPosition(x, y-20, 0)
			self.texts[n]:SetScale(.6)
			n = n + 1
		end
	end




end)

function TpIngdSign:SetIngds(ingds, texts)
	for k, v in pairs(ingds) do
		self.ingds[k]:SetTexture(WARGON.resolve_img_path(v))
	end
	for k, v in pairs(texts) do
		self.texts[k]:SetString(STRINGS.NAMES[string.upper(v)])
	end
end

function TpIngdSign:Test()




























































































































end

return TpIngdSign