local Image = require "widgets/image"
local Screen = require "widgets/screen"
local Button = require "widgets/button"
local Text = require "widgets/text"
local UIAnim = require "widgets/uianim"
local Widget = require "widgets/widget"
local Menu = require "widgets/menu"
local ImageButton = require "widgets/imagebutton"


local TpTestMenu = Class(Menu, function(self, strs, data, dts, fn)
	self.data = data
	local menuitems = {
		{
			text = "Output",
			cb = function()
				print("Output:")
				for k, v in pairs(self.data) do
					print(strs[k].." "..v)
				end
			end
		}
	}
	for k, v in pairs(strs) do
		table.insert(menuitems, {
			text = v,
			cb = function()
				if TheInput:IsKeyDown(KEY_CTRL) then
					self.data[k] = self.data[k] - dts[k]
				else
					self.data[k] = self.data[k] + dts[k]
				end
				fn()
			end	
		})
	end
	Menu._ctor(self, menuitems, 50, false)
end)

function TpTestMenu:AddAnchor(root, pos, y, z)
	self:SetPosition(pos, y, z)





end

return TpTestMenu